package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.AssessApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author: 王强
 * @create: 2023-07-26 17:01
 **/
@FeignClient(contextId = "ccpmApi", name = AppNameConstants.APP_CCPM_MODULES, fallbackFactory = AssessApiFallbackFactory.class)
public interface ICcpmApi {

    /**
     * 修改数电发票报销数据
     */
    @GetMapping(value = "/ccpmReimbursement/info/updateOldData")
    void updateOldData();
}
