package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.ZsApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @author: 王强
 * @create: 2023-07-26 17:01
 **/
@FeignClient(contextId = "zsApi", name = AppNameConstants.APP_CENTRECAREFUL_MODULES, fallbackFactory = ZsApiFallbackFactory.class)
public interface IZsApi {

    /**
     * 修改数电发票报销数据
     */
    @GetMapping(value = "/zsReimbursement/info/updateOldData")
    void updateOldData();
}
