package com.jeeplus.assess.assessSignatureDaily.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.assess.assessSignatureDaily.domain.AssessSignatureDailyOfficeWork;
import com.jeeplus.assess.assessSignatureDaily.service.dto.AssessSignatureDailyOfficeWorkDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AssessSignatureDailyOfficeWorkMapper extends BaseMapper<AssessSignatureDailyOfficeWork> {
    IPage<AssessSignatureDailyOfficeWorkDTO> findList(Page<AssessSignatureDailyOfficeWorkDTO> page, @Param(Constants.WRAPPER) QueryWrapper<AssessSignatureDailyOfficeWorkDTO> queryWrapper);
    IPage<AssessSignatureDailyOfficeWorkDTO> findList2(Page<AssessSignatureDailyOfficeWorkDTO> page,@Param(Constants.WRAPPER) QueryWrapper<AssessSignatureDailyOfficeWorkDTO> queryWrapper);

    AssessSignatureDailyOfficeWorkDTO findById(@Param("id") String id);

    List<WorkAttachmentInfo> findFiles(@Param("id") String id,@Param("flag") String flag);

    void updateStatusById(@Param("status") String status,@Param("id") String id);

    void updateSignatureInfo(AssessSignatureDailyOfficeWorkDTO dailyOfficeWork);

    AssessSignatureDailyOfficeWorkDTO getByDocumentId(@Param("documentId") String documentId);

    AssessSignatureDailyOfficeWorkDTO getByContractId(@Param("contractId") String contractId);
}
