package com.jeeplus.consultancy.approvalInfo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 报销文件补充
 */
@Data
@TableName(value = "consultancy_reimbursement_file_supplement")
public class ConsultancyReimbursementFileSupplement extends BaseEntity {

    private String reimbursementId; //报销id
    /**
     * 流程id
     */
    private String procInsId;

    /**
     *
     */
    private String processDefinitionId;

    private String status;
    @TableField(exist = false)
    private String no; //报销编号
    @TableField(exist = false)
    private String taskIdFile;
    @TableField(exist = false)
    private String name;//报销人名称

}
