package com.jeeplus.consultancy.approvalInfo.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("consultancy_reimbursement_info_up_hi")
public class ConsultancyReimbursementInfoUpHi extends BaseEntity {

    //报销id
    private String infoId;

    //json数据
    private String jsonData;

    @TableField(exist = false)
    private String createName;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


}
