package com.jeeplus.consultancy.approvalInfo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.consultancy.approvalInfo.domain.ConsultancyReimbursementFileSupplement;
import org.apache.ibatis.annotations.Param;

public interface ConsultancyReimbursementFileSupplementMapper extends BaseMapper<ConsultancyReimbursementFileSupplement> {
    //根据报销id查询文件补充信息
    ConsultancyReimbursementFileSupplement getByReimId(@Param("id") String id);

    //修改文件补充状态
    void updateFileStatusById(@Param("fileSuppleId") String fileSuppleId, @Param("fileStatus") String fileStatus);
}
