package com.jeeplus.finance.invoice.service.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 财务管理-发票基本信息
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CwFinanceInvoiceBaseDTO extends BaseDTO {

    /**
     * 发票id
     */
    private String invoiceId;

    /**
     * 项目id
     */
    private String programId;

    /**
     * 项目名称
     */
    private String programName;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 项目编号
     */
    private String programNo;

    /**
     * 合同id
     */
    private String contractId;

    private String account;

    private String reportType;
    /**
     * 类型 项目1,报告2,其他0, 预开票4
     */
    private String type;

    /**
     * 报备类型
     */
    private String reportNo;
    /**
     * 是否预开票
     */
    private String isPreInvoice;




    private static final long serialVersionUID = 1L;
}
