package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName("cw_revocation_signature")
public class CwRevocationSignature extends BaseEntity {

    /**
     * 报告id
     */
    private String reportId;
    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /*
    撤回原因
     */
    private String reason;

    /**
     * 状态
     */
    private String status;

    /**
     *  流程taskId
     */
    @TableField(exist = false)
    private String taskId;
}
