package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
@TableName(value = "cw_project_report_signature_annotator")
public class CwSignatureAnnotator extends BaseEntity {
    /**
     * id
     */
    private String id;
    /**
     * 签字注师1
     */
    private String signatureAnnotator1;


    /**
     * 签字注师2
     */
    private String signatureAnnotator2;


    /**
     * 报告id
     */
    private String reportId;

    /**
     * 修改发起人
     */
    private String updateUser;

    /**
     * json数据
     */
    private String jsonData;

    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /*
    修改原因
     */
    private String reason;

    /**
     * 修改状态
     */
    private String status;

    /**
     * 修改签字注师  流程taskId
     */
    @TableField(exist = false)
    private String taskId;

    /**
     * 修改人
     */
    @TableField(exist = false)
    private String userName;






}
