package com.jeeplus.finance.signatureDaily.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.finance.signatureDaily.domain.SignatureProjectReportRelation;
import com.jeeplus.finance.signatureDaily.service.dto.SignatureDailyOfficeWorkDTO;
import com.jeeplus.finance.signatureDaily.service.dto.SignatureProjectReportRelationDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SignatureProjectReportMapper extends BaseMapper<SignatureProjectReportRelation> {

    IPage<SignatureProjectReportRelationDTO> findList(Page<SignatureProjectReportRelationDTO> page, @Param(Constants.WRAPPER) QueryWrapper<SignatureProjectReportRelationDTO> queryWrapper);

    IPage<SignatureProjectReportRelationDTO> findList2(Page<SignatureProjectReportRelationDTO> page, @Param(Constants.WRAPPER) QueryWrapper<SignatureProjectReportRelationDTO> queryWrapper);

    SignatureProjectReportRelationDTO findById(@Param("id") String id);

    List<WorkAttachmentInfo> findFiles(@Param("id") String id,@Param("flag") String flag);

    void updateStatusById(@Param("status") String status, @Param("id") String id);


    void updateSignatureInfo(SignatureProjectReportRelationDTO relationDTO);

    SignatureProjectReportRelationDTO getByDocumentId(@Param("documentId") String documentId);

    SignatureProjectReportRelationDTO getByContractId(@Param("contractId") String contractId);
}
