package com.jeeplus.centerservice.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class WorkInvoiceDetail extends BaseEntity {
    private String number;		// 发票号
    private String code;         //发票代码
    private String totalMoney;		// 价税合计
    @JsonIgnore
    private String totalMoneyStr;		// 价税合计
    private String tax;		// 税率
    private String taxMoney;		// 金额 开票金额
    @JsonIgnore
    private String taxMoneyStr;		// 金额 开票金额
    private String taxRate;		// 税额
    @JsonIgnore
    private String taxRateStr;		// 税额
    private String incomeMoney;		// 登记金额 收款金额
    @JsonIgnore
    private String incomeMoneyStr;		// 登记金额 收款金额
    private String state;		// 发票状态
    private String backSign;		// 被退标记
    private String backNumber;		// 被退票号
    private String backCode;        //被退代码
    private Date date;		// 开票日期
    private String invoiceId;		// 发票主键
    private String ainvoiceId;       //变更发票主键
    private String sign;       //操作标记
    private InvoiceDto workInvoice; //发票
    private String[] exclusiveIds;
    private String comId;
    private String officeId;
    private String home;
    private String settleFlag;
    private Date beginContractDate;		// 开始
    private Date endContractDate;		// 结束
    private String returnNumbers;       //作废-申请编号
    private String returnId;             //作废-原明细Id
    //导出功能-属性
    private String invoiceExt;//0分公司开票 1总公司开票
    private String invoiceInvoiceType;  //发票类型1专票2普票
    private String invoiceClientName;   //实际开票单位
    private String invoiceOrUnicode;    //纳税人识别号
    private String invoiceContent;      //开票内容要求
    private String invoiceRemarks;      //备注
    private String invocieNumber;      //申请编号
    private String invoiceDrawerName;  //开票人
    private String invoiceOfficeName;  //所属部门
    private String contractNum ;       //合同编号
    private String contractName;       //合同名称
    private String contractClientName; //主委托方

    private Map<String, Object> variables;

    /*暂弃*/
    private String returnNumber;     //退票申请编号
    private String returnReason;     //退票原因
    private String returnCancle;     //作废退票（1退票2作废）
    private String returnSign;      //原票是否退回（1是2否）
    private Date returnDate;         //退票时间
    private String returnUser;       //退票人
    private String processInstanceId; // 流程实例编号
    private String status;             //状态

    private String account;
    private String rate;
    private String amount;
}
