package com.jeeplus.human.depart.handover.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 门卡回收表
 * @author 王强
 * @version 1.0
 * @date 2023-10-27 9:00
 */
@Data
@TableName("human_resources_depart_handover_recovery")
public class HandoverRecovery extends BaseEntity {

    private String type;                //流程状态
    private String procInsId;
    private String processDefinitionId;
    private String handoverId;      //离职交接表id

    @TableField(exist = false)
    private String assigneeId;

    @TableField(exist = false)
    private String draftAdministrator;
}
