package com.jeeplus.human.depart.handover.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.depart.handover.domain.HandoverSocialSecurity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-11-07 9:30
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface HandoverSocialSecurityMapper extends BaseMapper<HandoverSocialSecurity> {

    HandoverSocialSecurity getById(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);
}
