package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 入职人员餐补卡号信息
 * @author 王强
 * @version 1.0
 * @date 2023-09-27 14:14
 */
@Data
@TableName("human_resources_enrollment_rice_card")
public class EnrollmentRiceCard extends BaseEntity {
    private String remarks;             //备注
    private String type;                //流程状态
    private String procInsId;
    private String processDefinitionId;
    private String enrollmentRegistrationId;   //员工入职表id
    private String riceNumber;          //餐补卡号

}
