package com.jeeplus.human.enrollment.enrollmentRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentSocialSecurityCard;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentWageCard;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-10-13 9:41
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EnrollmentSocialSecurityCardMapper extends BaseMapper<EnrollmentSocialSecurityCard> {

    EnrollmentSocialSecurityCard getById(@Param("id") String id);

    void updateStatusById(@Param("registrationId") String registrationId, @Param("type") String type);
}
