package com.jeeplus.human.enrollment.enrollmentRegistration.service.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class UserTemplate {

    @ExcelProperty("姓名")
    private String name;                //姓名

    @ExcelProperty("籍贯")
    private String nativePlace;         //籍贯

    @ExcelProperty("身份证号码")
    private String idCard;              //身份证号码

    @ExcelProperty("联系电话")
    private String mobilePhone;         //联系电话


    /**
     * 员工入职日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ExcelProperty(value = "进所日期",format = "yyyy-MM-dd")
    private String inDate;

    @ExcelProperty(value = "所属部门")
    private String department;          //所属部门
    @ExcelProperty(value = "所属公司")
    private String company;     //所属公司

    @ExcelProperty("角色")
    private String role;          //角色

}
