package com.jeeplus.human.practice.logwrite.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 实习日志明细
 * @author 王强
 * @version 1.0
 * @date 2023-09-15 9:54
 */
@Data
@TableName("human_resources_practice_registration_work_log_detail")
public class RegistrationWorkLogDetail extends BaseEntity {
    private String year;                //年
    private String month;               //月
    private String day;                 //日
    private String week;                //星期
    private String auditProjectUnitName;//审计项目单位名称
    private String location;            //地点
    @TableField(exist = false)
    private String locationId;          //地点id
    private String auditWorkContent;    //审计工作内容
    private String workLogId;           //实习日志id
    private String checkType;           //地点类型:1：所内，2：所外

}
