package com.jeeplus.human.practice.logwrite.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.practice.logwrite.domain.RegistrationWorkLogDetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-09-15 16:18
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface RegistrationWorkLogDetailMapper extends BaseMapper<RegistrationWorkLogDetail> {

    /**
     * 根据日志id去删除明细数据
     * @param id
     */
    void deleteDetailInfo(String id);

    /**
     * 根据实习日志表id去查日志明细数据
     * @param id
     * @return
     */
    List<RegistrationWorkLogDetail> getChildList(String id);
}
