package com.jeeplus.human.practice.logwrite.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.human.practice.logwrite.domain.RegistrationWorkLog;
import com.jeeplus.human.practice.logwrite.domain.RegistrationWorkLogDetail;
import com.jeeplus.human.practice.logwrite.service.dto.RegistrationWorkLogDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-09-15 10:00
 */
@Mapper
//@InterceptorIgnore(tenantLine = "true")
public interface RegistrationWorkLogMapper extends BaseMapper<RegistrationWorkLog> {

    /**
     * 实习日志列表信息
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<RegistrationWorkLogDto> findList(Page<RegistrationWorkLogDto> page, @Param(Constants.WRAPPER) QueryWrapper<RegistrationWorkLogDto> queryWrapper);

    void removeById(String id);

    void updateStatusById(@Param("id") String id,@Param("type") String type);

    RegistrationWorkLog getById(String id);

    String getLastWorkDay(String createById);
}
