package com.jeeplus.human.practice.register.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 实习人员银行卡号信息
 * @author 王强
 * @version 1.0
 * @date 2023-12-01 17:43
 */
@Data
@TableName("human_resources_practice_registration_bank")
public class RegistrationBank extends BaseEntity {

    private String type;                //流程状态
    private String procInsId;
    private String processDefinitionId;
    private String remarks;      //备注
    private String bankCardNumber;      //银行卡号
    private String registerId;      //实习登记表id
    private String userId;
    private String name;
    private String accountHolderFront;      //银行卡正面
    private String accountHolderOpposite;

}
