package com.jeeplus.human.practice.register.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 人力资源-实习人员登记表-实习经历
 * @author 王强
 * @version 1.0
 * @date 2023-09-21 16:49
 */
@Data
@TableName("human_resources_practice_registration_experience")
public class RegistrationExperience extends BaseEntity {

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private String startTime;       //开始时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private String endTime;         //结束时间
    private String practiceUnit;    //实践单位
    private String post;            //岗位
    private String registrationId;  //实习人员登记表id
}
