package com.jeeplus.human.practice.register.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.human.practice.register.domain.Registration;
import com.jeeplus.human.practice.register.domain.RegistrationBank;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 实习人员登记表 mapper
 * @author 王强
 * @version 1.0
 * @date 2023-09-13 14:01
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface RegistrationBankMapper extends BaseMapper<RegistrationBank> {

    RegistrationBank getById(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);
}
