package com.jeeplus.human.practice.reimburseRegister.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.practice.reimburseRegister.domain.ReimburseRegisterDetail;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-09-19 16:32
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface ReimburseRegisterDetailMapper extends BaseMapper<ReimburseRegisterDetail> {

    List<ReimburseRegisterDetail> getChildList(String id);

    /**
     * 根据报销登记id删除详细表信息
     * @param id
     */
    void deleteDetailInfo(String id);
}
