package com.jeeplus.human.practice.reimburseRegister.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.human.practice.reimburseRegister.domain.ReimburseSubmitAccount;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-09-22 13:56
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface ReimburseSubmitAccountMapper extends BaseMapper<ReimburseSubmitAccount> {

    IPage<ReimburseSubmitAccount> findList(Page<ReimburseSubmitAccount> page, @Param(Constants.WRAPPER) QueryWrapper<ReimburseSubmitAccount> queryWrapper);

    ReimburseSubmitAccount getById(String id);

    void updateStatusById(@Param("id")String id, @Param("type")String type);

    List<WorkAttachmentInfo> findFileList(String id);

    Integer findIsExit(@Param("id") String id, @Param("name")String name);

    List<WorkAttachmentInfo> findFiles(@Param("id") String id);
}
