package com.jeeplus.pubmodules.luckyDraw.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 抽奖-抽奖表
 * @author: 王强
 * @create: 2023-02-28 15:15
 **/
@Data
public class LuckyDrawInfoDto extends BaseDTO implements Serializable {
    private String memberId;//用户id
    private String eventsId;//活动id
    private String awardId;//奖项id
    private String name;//姓名
    private String officeName;
    private String phone;
    private String awardsName; //奖项名称
    private String prizeName; //奖品名称
    private String number; //奖品数量
    private String luckyDrawFlag; //抽奖状态
    private String showFlag; //展示状态
    private String luckyDrawAgainFlag; //重新抽奖
    private String isButton; //按钮行标记  1为按钮
    private Integer serialNumber; //序号
    /**
     * 奖项
     */
    private List<LuckyDrawMembersDto> luckyDrawMembersDtos;

}
