package com.jeeplus.pubmodules.workCollectAccessory.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.service.dto.BaseDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.sql.Time;
import java.util.Date;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class WorkCollectAccessoryDTO extends BaseDTO {
    private String userId;

    private String attachmentId;

    private String shareType;

    private String companyId;

    private String classification;

    private String fileDescription;

    @TableField(exist = false)
    private List<WorkAttachmentInfo> workAttachments;
}
