package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.ConsultApiFallbackFactory;
import com.jeeplus.flowable.factory.ZsApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

/**
 * @author: 王强
 * @create: 2023-07-26 17:01
 **/
@FeignClient(contextId = "consultApi", name = AppNameConstants.APP_CONSULT_MODULES, fallbackFactory = ConsultApiFallbackFactory.class)
public interface IConsultApi {

    /**
     * 修改数电发票报销数据
     */
    @GetMapping(value = "/consultancyReimbursement/info/updateOldData")
    void updateOldData();
}
