package com.jeeplus.assess.program.configuration.fileDict.service.dto;

import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @TableName program_file_dict
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ProgramFileDictDTO extends BaseDTO {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 上级类型
     */
    private String parentId;

    /**
     * 附件结构名称
     */
    private String name;

    /**
     * 序号
     */
    private String sort;

    /**
     * 文件类型
     */
    private String type;

    /**
     * 文件大小
     */
    private String size;

    private static final long serialVersionUID = 1L;
}