package com.jeeplus.finance.projectReport.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 报告取号信息表
 * @author: 徐滕
 * @version: 2023-12-12 09:19
 */
@Data
@TableName(value = "cw_project_report_take_number")
public class CwProjectReportTakeNumber extends BaseEntity {


    /**
     * 流程id
     */
    private String procInsId;

    private String processDefinitionId;

    /**
     * 流程状态
     */
    private String status;
    /**
     * 报告号
     */
    private String reportId;
    /**
     * 取号类型（0：正常取号；1：非正常取号）
     */
    private String takeNumberType;

    /**
     * 非正常取号原因
     */
    private String improperTakeCause;
}
