package com.jeeplus.finance.projectReport.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.finance.projectReport.domain.CwProjectReportData;
import com.jeeplus.finance.projectReport.domain.CwProjectReportNumberApply;
import com.jeeplus.finance.projectReport.domain.CwProjectReportNumberReviewApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-12-12 16:59
 */
@Mapper
public interface CwProjectReportNumberReviewApplyMapper extends BaseMapper<CwProjectReportNumberReviewApply> {

    @InterceptorIgnore(tenantLine = "true")
    CwProjectReportNumberReviewApply selectByReportId(String id);

    CwProjectReportData selectByPortId(String id);

    void updateReviewStatysByReportId(@Param("reviewStatus") String reviewStatus, @Param("id") String id);

    @InterceptorIgnore(tenantLine = "true")
    void updateReviewById(CwProjectReportNumberReviewApply review);

    @InterceptorIgnore(tenantLine = "true")
    void updateApplyTypeByReportId(String reportId);
}
