package com.jeeplus.finance.reimbursementApproval.approvalInfo.service.dto;

import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
public class QueryListDto extends BaseEntity {

    /**
     * 报销项目
     */
    private String project;

    /**
     * 报销时间
     */
    private String[] dates;

    /**
     * 经办人
     */
    private String handled;

    /**
     * 报销人
     */
    private String reimBy;

    /**
     * 报销状态
     */
    private String type;

    /**
     * 报销部门
     */
    private String department;

    /**
     * 报销类别
     */
    private String remiType;

    /**
     * 报销金额
     */
    private String[] amounts;

    /**
     * 报告号
     */
    private String reportNumber;

    /**
     * 报销类型
     */
    private String sourceType;

    private String reimbursementType;

    /**
     * 报销编号
     */
    private String no;
    /**
     * 付款状态
     */
    private String paymentStatus;

    //发票号
    private String financeNumber;
}
