package com.jeeplus.finance.signatureDaily.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName("cw_signature_daily_office_work")
public class SignatureDailyOfficeWork extends BaseEntity {
    //日常签章编号（字典值）
    public static final String BIZ_CODE = "31";

    /**
     * 备注
     */
    private String remarks;

    /**
     * 签章描述
     */
    private String signatureName;

    /**
     * 编号
     */
    private String number;

    /**
     * 签章类型
     */
    private String signatureType;

    /**
     * 状态
     */
    private String status;

    /**
     * 流程信息
     */
    private String procInsId;
    private String processDefinitionId;
    @TableField(exist = false)
    private String taskId;

    /**
     * 签章contractId
     */
    private String signatureContractId;
    /**
     * 签章documentId
     */
    private String signatureDocumentId;
    /**
     * 签章url地址
     */
    private String signatureUrl;
    /*
    签章完成情况
     */
    private Integer signatureUrlFlag;
    /*
    签章附件名称
     */
    private String signatureFileName;
    /**
     * 签属时间
     */
    private Date signatureUploadDate;
    /*
    签属文件上传人
     */
    private String signatureUploadFileUser;
    /*
    签章状态
     */
    private Integer signatureFlag;


}
