package com.jeeplus.finance.signatureDaily.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.finance.signatureDaily.domain.SignatureDailyOfficeWork;
import com.jeeplus.finance.signatureDaily.service.dto.SignatureDailyOfficeWorkDTO;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SignatureDailyOfficeWorkMapper extends BaseMapper<SignatureDailyOfficeWork> {
    IPage<SignatureDailyOfficeWorkDTO> findList(Page<SignatureDailyOfficeWorkDTO> page,@Param(Constants.WRAPPER) QueryWrapper<SignatureDailyOfficeWorkDTO> queryWrapper);
    IPage<SignatureDailyOfficeWorkDTO> findList2(Page<SignatureDailyOfficeWorkDTO> page,@Param(Constants.WRAPPER) QueryWrapper<SignatureDailyOfficeWorkDTO> queryWrapper);

    SignatureDailyOfficeWorkDTO findById(@Param("id") String id);

    List<WorkAttachmentInfo> findFiles(@Param("id") String id,@Param("flag") String flag);

    void updateStatusById(@Param("status") String status,@Param("id") String id);

    void updateSignatureInfo(SignatureDailyOfficeWorkDTO dailyOfficeWork);

    SignatureDailyOfficeWorkDTO getByDocumentId(@Param("documentId") String documentId);

    SignatureDailyOfficeWorkDTO getByContractId(@Param("contractId") String contractId);
}
