package com.jeeplus.human.depart.handover.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.depart.handover.domain.HandoverAccounts;
import com.jeeplus.human.depart.handover.domain.HandoverComputer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-11-06 16:01
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface HandoverAccountsMapper extends BaseMapper<HandoverAccounts> {

    HandoverAccounts getById(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);

    /**
     * 根据离职交接表id查询 底稿归档检查流程、电脑款项检查流程、应收账款检查流程、社保账款检查流程、备用金检查流程是否都已经 审核结束
     * @param handoverId
     * @return
     */
    int selectAllActivityIsComplete(@Param("handoverId")String handoverId);
}
