package com.jeeplus.human.depart.handover.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.depart.handover.domain.HandoverComputer;
import com.jeeplus.human.depart.handover.domain.HandoverDraft;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-11-06 10:54
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface HandoverComputerMapper extends BaseMapper<HandoverComputer> {

    HandoverComputer getById(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);
}
