package com.jeeplus.human.depart.handover.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.depart.handover.domain.HandoverDraft;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentWageCard;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-10-27 16:19
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface HandoverDraftMapper extends BaseMapper<HandoverDraft> {

    HandoverDraft getById(@Param("id") String id);

    void updateStatusById(@Param("id") String id, @Param("type") String type);
}
