package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 社保卡信息
 * @author 王强
 * @version 1.0
 * @date 2023-09-27 14:14
 */
@Data
@TableName("human_resources_enrollment_social_security_card")
public class EnrollmentSocialSecurityCard extends BaseEntity {
    private String remarks;             //备注
    private String type;                //流程状态
    private String procInsId;
    private String processDefinitionId;
    private String enrollmentRegistrationId;   //员工入职表id
    private String socialSecurityNumber;        //社保编号
    private String socialSecurityBankNumber;    //社保银行卡号
    private String socialSecurityPictureFront;       //社保卡照片正面
    private String socialSecurityPictureOpposite;       //社保卡照片反面











}
