package com.jeeplus.human.enrollment.enrollmentRegistration.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 入职人员登记
 * @author 王强
 * @version 1.0
 * @date 2023-09-27 14:14
 */
@Data
@TableName("human_resources_enrollment_wage_card")
public class EnrollmentWageCard extends BaseEntity {
    private String remarks;             //备注
    private String type;                //流程状态
    private String procInsId;
    private String processDefinitionId;
    private String enrollmentRegistrationId;   //员工入职表id
    private String zxBankCardNumber;   //中信银行卡号
    private String gsBankCardNumber;   //工商银行卡号
    private String zxAccountHolder;   //中信银行卡开户行
    private String gsAccountHolder;   //工商银行卡开户行
    private String accountHolderFront;   //银行卡正面
    private String accountHolderOpposite;   //银行卡反面
    private String gsAccountHolderFront;   //工商银行银行卡正面
    private String gsAccountHolderOpposite;   //工商银行银行卡反面

}
