package com.jeeplus.human.enrollment.enrollmentRegistration.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentRegistration;
import com.jeeplus.human.enrollment.enrollmentRegistration.domain.EnrollmentWageCard;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author 王强
 * @version 1.0
 * @date 2023-10-11 15:09
 */
@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface EnrollmentWageCardMapper extends BaseMapper<EnrollmentWageCard> {

    EnrollmentWageCard getById(@Param("id") String id);

    void updateStatusById(@Param("registrationId") String registrationId, @Param("type") String type);
}
