package com.jeeplus.human.practice.reimburseRegister.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 实习报销登记
 * @author 王强
 * @version 1.0
 * @date 2023-09-19 13:33
 */
@Data
@TableName("human_resources_practice_reimburse_register")
public class ReimburseRegister extends BaseEntity {

    private String reimbuserName; //报销登记名称

    //总报销金额
    private String allReimbursementAmount;

    private String remarks;
    /**
     * 数据审核人  入库 修改申请
     */
    @TableField(exist = false)
    private List<String> auditUserIds;
    //银行卡号
    private String bankCardNumber;
    //项目经理
    private String projectManager;

    /**
     * 流程id
     */
    private String procInsId;

    /**
     *
     */
    private String processDefinitionId;

    private String type;

    /**
     * 是否实习结束 1:是，0：否
     */
    private String completePractice;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private List<ReimburseRegisterDetail> detailList;

    //项目经理名称
    @TableField(exist = false)
    private String projectManagerName;

    //创建人名称
    @TableField(exist = false)
    private String createName;

    @TableField(exist = false)
    private String mobilePhone;

    @TableField(exist = false)
    private String[] amounts;

    @TableField(exist = false)
    private String[] createDates;

}
