package com.jeeplus.human.practice.reimburseRegister.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 实习-报销详情
 * @author 王强
 * @version 1.0
 * @date 2023-09-22 15:43
 */
@Data
@TableName("human_resources_practice_reimburse_submit_account_detail")
public class ReimburseSubmitAccountDetail extends BaseEntity {

    private String infoId;          //基础表id
    private String userId;          //报销人
    private String userName;        //报销人名称
    private String deptId;          //报销部门
    private String deptName;        //报销部门名称
    private String number;          //费用(元)
    private String receiptNumber;   //收据张数
    private String days;            //出差天数
    private String content;         //内容
    private String registerName;    //报销登记名称
    private String registerId;      //报销登记id

}
