package com.jeeplus.pubmodules.editor.domain;



import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 富文本图片表
 * @TableName editor_files
 */
@Data
@TableName("editor_files")
public class EditorFiles extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 来源id
     */
    private String sourceId;

    /**
     * 临时地址
     */
    private String temporaryUrl;

    /**
     * 图片路径
     */
    private String url;

    private static final long serialVersionUID = 1L;
}