package com.jeeplus.pubmodules.luckyDraw.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.io.Serializable;

/**
 * 抽奖-奖项表
 * @TableName lucky_draw_awards
 */
@Data
public class LuckyDrawAwardsDTO extends BaseDTO implements Serializable {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 活动id
     */
    private String eventsId;

    /**
     * 奖项名称
     */
    private String name;

    /**
     * 奖品数量
     */
    private Integer number;

    /**
     * 奖品
     */
    private String prizeName;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}