package com.jeeplus.pubmodules.luckyDraw.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 抽奖-活动表
 * @TableName lucky_draw_events
 */
@Data
public class LuckyDrawEventsDTO extends BaseDTO implements Serializable {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 活动名称
     */
    private String name;

    /**
     * 活动详情
     */
    private String detail;

    /**
     * 开启状态   1开启   0关闭
     */
    private String switchFlag;

    /**
     * 奖项
     */
    private List<LuckyDrawAwardsDTO> luckyDrawAwardsDTOList;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}