package com.jeeplus.pubmodules.meetingRoom.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.pubmodules.meetingRoom.domain.MeetingRoom;
import com.jeeplus.pubmodules.meetingRoom.service.dto.MeetingRoomDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface MeetingRoomMapper extends BaseMapper<MeetingRoom> {
    @InterceptorIgnore(tenantLine = "true")
    IPage<MeetingRoom> findPageList(Page<MeetingRoom> page, @Param(Constants.WRAPPER) QueryWrapper<MeetingRoom> meetingRoomQueryWrapper);
    @InterceptorIgnore(tenantLine = "true")
    MeetingRoomDTO findById(@Param("id") String id);

    void updateStatusById(@Param("id")String id, @Param("status")String status);

    List<MeetingRoom> checkTime(@Param("date")Date date,@Param("meetNumber") String meetNumber);
}
