package com.xxl.job.executor.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.feign.IFinanceApi;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * @author: 王强
 * @create: 2023-07-27 08:48
 **/
@FeignClient(contextId = "financeFeignApi", name = AppNameConstants.APP_FINANCE_MODULES)
public interface FinanceFeignApi extends IFinanceApi {
}
